classification
Title: Remove unused imports in the stdlib (April 2020 edition)
Type: Stage: resolved
Components: Library (Lib), Tests Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: corona10, miss-islington, terry.reedy, vstinner
Priority: normal Keywords: patch

Created on 2020-04-29 22:42 by vstinner, last changed 2021-04-16 09:26 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19801 merged vstinner, 2020-04-29 22:51
PR 19802 merged vstinner, 2020-04-29 22:55
PR 19803 merged vstinner, 2020-04-29 23:05
PR 19804 merged vstinner, 2020-04-29 23:13
PR 19805 merged vstinner, 2020-04-29 23:15
PR 19808 merged miss-islington, 2020-04-30 01:29
PR 19809 merged miss-islington, 2020-04-30 01:29
PR 19815 merged vstinner, 2020-04-30 14:27
PR 20354 merged corona10, 2020-05-24 13:23
PR 20359 merged miss-islington, 2020-05-24 14:37
PR 25429 merged vstinner, 2021-04-16 00:04
Messages (13)
msg367711 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-04-29 22:42
Attached PRs removed unused imports from the Python standard library.

I used pyflakes and looked for "imported but unused" warnings. I ignored tons of warnings, since many are false alarms: imports done on purpose.

Previous editions:

* 2014: bpo-20976
* 2017: bpo-29919
msg367715 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-04-29 23:48
New changeset 57572b103ebd8732ac21922f0051a7f140d0e405 by Victor Stinner in branch 'master':
bpo-40443: Remove unused imports in tests (GH-19805)
https://github.com/python/cpython/commit/57572b103ebd8732ac21922f0051a7f140d0e405
msg367720 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-04-30 00:21
New changeset b1e11c31c523dc082985e9de779ceeb47224e536 by Victor Stinner in branch 'master':
bpo-40443: Remove unused imports in tests (GH-19804)
https://github.com/python/cpython/commit/b1e11c31c523dc082985e9de779ceeb47224e536
msg367725 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-04-30 01:28
New changeset 6900f16d2207ca4fc252fa9d778ca0b13a3c95e0 by Victor Stinner in branch 'master':
bpo-40443: Remove unused imports in idlelib (GH-19801)
https://github.com/python/cpython/commit/6900f16d2207ca4fc252fa9d778ca0b13a3c95e0
msg367727 - (view) Author: miss-islington (miss-islington) Date: 2020-04-30 01:46
New changeset 48ef06b62682c19b7860dcf5d9d610e589a49840 by Miss Islington (bot) in branch '3.7':
bpo-40443: Remove unused imports in idlelib (GH-19801)
https://github.com/python/cpython/commit/48ef06b62682c19b7860dcf5d9d610e589a49840
msg367728 - (view) Author: miss-islington (miss-islington) Date: 2020-04-30 01:47
New changeset 95e208dce505c542b8e4f8f42c57e6d4793b6895 by Miss Islington (bot) in branch '3.8':
bpo-40443: Remove unused imports in idlelib (GH-19801)
https://github.com/python/cpython/commit/95e208dce505c542b8e4f8f42c57e6d4793b6895
msg367748 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-04-30 09:26
New changeset 90549676e063c2c818cfc14213d3adb7edcc2bd5 by Victor Stinner in branch 'master':
bpo-40443: Remove unused imports in the stdlib (GH-19803)
https://github.com/python/cpython/commit/90549676e063c2c818cfc14213d3adb7edcc2bd5
msg367749 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-04-30 09:28
New changeset e488e300f5c01289c10906c2e53a8e43d6de32d8 by Victor Stinner in branch 'master':
bpo-40443: Remove unused imports in distutils (GH-19802)
https://github.com/python/cpython/commit/e488e300f5c01289c10906c2e53a8e43d6de32d8
msg367819 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-05-01 00:38
New changeset eb0d359b4b0e14552998e7af771a088b4fd01745 by Victor Stinner in branch 'master':
bpo-40443: Remove unused imports in stdlib (GH-19815)
https://github.com/python/cpython/commit/eb0d359b4b0e14552998e7af771a088b4fd01745
msg367820 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-05-01 00:38
Thanks for reviews!
msg369805 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-05-24 14:37
New changeset 3436f5f899f272d7164add072beb18eebd46d777 by Dong-hee Na in branch 'master':
bpo-40443: Remove unused imports in the zoneinfo (GH-20354)
https://github.com/python/cpython/commit/3436f5f899f272d7164add072beb18eebd46d777
msg369807 - (view) Author: miss-islington (miss-islington) Date: 2020-05-24 14:58
New changeset 4bb4cde1777267c92c1bfc0f537cee08102d66a4 by Miss Islington (bot) in branch '3.9':
bpo-40443: Remove unused imports in the zoneinfo (GH-20354)
https://github.com/python/cpython/commit/4bb4cde1777267c92c1bfc0f537cee08102d66a4
msg391174 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-16 09:26
New changeset a6a5c91b1ee56fa5ba7ab8c5aeca70c31cc85fd3 by Victor Stinner in branch 'master':
bpo-40443: Remove unused imports (GH-25429)
https://github.com/python/cpython/commit/a6a5c91b1ee56fa5ba7ab8c5aeca70c31cc85fd3
History
Date User Action Args
2021-04-16 09:26:36vstinnersetmessages: + msg391174
2021-04-16 00:04:04vstinnersetpull_requests: + pull_request24161
2020-05-24 14:58:31miss-islingtonsetmessages: + msg369807
2020-05-24 14:37:21miss-islingtonsetpull_requests: + pull_request19622
2020-05-24 14:37:14corona10setmessages: + msg369805
2020-05-24 13:23:29corona10setnosy: + corona10

pull_requests: + pull_request19617
2020-05-01 00:38:25vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg367820

stage: patch review -> resolved
2020-05-01 00:38:04vstinnersetmessages: + msg367819
2020-04-30 14:27:34vstinnersetpull_requests: + pull_request19135
2020-04-30 09:28:13vstinnersetmessages: + msg367749
2020-04-30 09:26:40vstinnersetmessages: + msg367748
2020-04-30 01:47:54miss-islingtonsetmessages: + msg367728
2020-04-30 01:46:01miss-islingtonsetmessages: + msg367727
2020-04-30 01:29:33miss-islingtonsetpull_requests: + pull_request19130
2020-04-30 01:29:26miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request19129
2020-04-30 01:28:58terry.reedysetnosy: + terry.reedy
messages: + msg367725
2020-04-30 00:21:36vstinnersetmessages: + msg367720
2020-04-29 23:48:46vstinnersetmessages: + msg367715
2020-04-29 23:15:39vstinnersetpull_requests: + pull_request19126
2020-04-29 23:13:26vstinnersetpull_requests: + pull_request19125
2020-04-29 23:05:58vstinnersetpull_requests: + pull_request19124
2020-04-29 22:55:20vstinnersetpull_requests: + pull_request19123
2020-04-29 22:51:51vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request19122
2020-04-29 22:42:28vstinnercreate